Results 1 to 2 of 2

Thread: Use the "Offline" or "Online" installer for Qt when upgrading ???

  1. #1
    Join Date
    Jan 2017
    Posts
    51
    Thanks
    7
    Qt products
    Qt4
    Platforms
    Windows

    Default Use the "Offline" or "Online" installer for Qt when upgrading ???

    I have open source Qt 5.8 and simply want to upgrade to version 5.15. I go to Qt website and see "download the online Qt installer" and on another Qt site I see "offline Qt installer."

    1. Which one do I download?
    2. Will my version of Qt Creator (currently it is 4.2.1 based on Qt5) also be updated when I download a new version of Qt or is that a separate download?
    thanks

  2. #2
    Join Date
    Jan 2008
    Location
    Alameda, CA, USA
    Posts
    4,770
    Thanks
    262
    Thanked 773 Times in 763 Posts
    Qt products
    Qt5
    Platforms
    Windows Android

    Default Re: Use the "Offline" or "Online" installer for Qt when upgrading ???

    1. Which one do I download?
    It probably doesn't make any difference. If you have a good internet connection and are only updating one PC, then use the online installer. It will download the pieces, check to make sure they are valid, and install them. If you are upgrading more than one PC, then you will save bandwidth by downloading the offline installer and using that. In either case, after installing your will get the same thing.

    2. Will my version of Qt Creator (currently it is 4.2.1 based on Qt5) also be updated
    Probably. When you get a new version of Qt, the installer usually installs to a clean directory and installs everything required for Qt development, including Creator, Designer, Assistant, and so forth. Each of these is probably on a different release cycle from Qt releases, so you may get a version of Creator that was linked against an earlier set of Qt libraries. It doesn't matter, because these tools are self-contained and do not use the libraries contained in the Qt toolkit distribution.

    On my own PC, my PATH is set so that Creator, Designer, etc. are all from the Qt 5.9 release, even though I am now building against a Qt 5.14 version. It all works fine, although the Assistant documentation is for 5.9. I am too lazy to change the PATH.
    <=== The Great Pumpkin says ===>
    Please use CODE tags when posting source code so it is more readable. Click "Go Advanced" and then the "#" icon to insert the tags. Paste your code between them.

  3. The following user says thank you to d_stranz for this useful post:

    dennisvz (12th November 2020)

Similar Threads

  1. Replies: 1
    Last Post: 20th November 2015, 11:02
  2. QSqlError("", "Parameter count mismatch", "")
    By Alberto7 in forum Newbie
    Replies: 2
    Last Post: 9th October 2015, 23:09
  3. Replies: 3
    Last Post: 16th March 2015, 08:31
  4. Replies: 3
    Last Post: 8th July 2008, 20:37
  5. Translation QFileDialog standart buttons ("Open"/"Save"/"Cancel")
    By victor.yacovlev in forum Qt Programming
    Replies: 4
    Last Post: 24th January 2008, 20:05

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.